gambas3-gb-opengl_3.12.2-1ubuntu1_amd64.deb


Advertisement

Description

gambas3-gb-opengl - Gambas OpenGL component

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename gambas3-gb-opengl_3.12.2-1ubuntu1_amd64.deb
Package name gambas3-gb-opengl
Package version 3.12.2
Package release 1ubuntu1
Package architecture amd64
Package type deb
Category universe/libdevel
Homepage http://gambas.sourceforge.net
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 37.47 KB
Installed size 220.00 KB
Gambas is a free development environment based on a Basic interpreter
with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
This package allows you 3D programming with OpenGL in gambas.

Alternatives

Package Version Architecture Repository
gambas3-gb-opengl_3.12.2-1ubuntu1_i386.deb 3.12.2 i386 Ubuntu Universe
gambas3-gb-opengl - - -

Requires

Name Value
gambas3-gb-image >= 3.12.2-1ubuntu1
gambas3-runtime >= 3.12.2-1ubuntu1
libc6 >= 2.4
libgl1 -
libglew2.1 >= 1.12.0

Download

Type URL
Mirror archive.ubuntu.com
Binary Package gambas3-gb-opengl_3.12.2-1ubuntu1_amd64.deb
Source Package gambas3

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install gambas3-gb-opengl deb package:
    # sudo apt-get install gambas3-gb-opengl

Files

Path
/usr/lib/gambas3/gb.opengl.component
/usr/lib/gambas3/gb.opengl.so
/usr/lib/gambas3/gb.opengl.so.0
/usr/lib/gambas3/gb.opengl.so.0.0.0
/usr/share/doc/gambas3-gb-opengl/changelog.Debian.gz
/usr/share/doc/gambas3-gb-opengl/copyright
/usr/share/gambas3/info/gb.opengl.info
/usr/share/gambas3/info/gb.opengl.list

Changelog

2019-02-21 - Sebastien Bacher <seb128@ubuntu.com>
gambas3 (3.12.2-1ubuntu1) disco; urgency=medium
* debian/patches/new-poppler.patch:
- update for the new poppler version
2019-01-15 - Bastian Germann <bastian.germann@fishpost.de>
gambas3 (3.12.2-1) unstable; urgency=medium
* New upstream version 3.12.2
2019-01-14 - Gianfranco Costamagna <locutusofborg@debian.org>
gambas3 (3.12.1-3) unstable; urgency=medium
[ Bastian Germann ]
* Let gambas3-gb-jit depend on gambas3-runtime
* Let gambas3-ide depend on gambas3-gb-jit (Closes: #919212)
2019-01-14 - Gianfranco Costamagna <locutusofborg@debian.org>
gambas3 (3.12.1-2) unstable; urgency=medium
* Add jit dependency to -ide package (Closes: #919212)
2019-01-08 - Gianfranco Costamagna <locutusofborg@debian.org>
gambas3 (3.12.1-1) unstable; urgency=medium
* Team Upload
* New upstream version 3.12.1
* Drop prefer_qt5 patch, upstream
2019-01-03 - Gianfranco Costamagna <locutusofborg@debian.org>
gambas3 (3.12.0-1) unstable; urgency=medium
[ Bastian Germann ]
* Update Standards-Version. No changes needed.
* New upstream version 3.12.0
* Enable JIT
* Remove upstream patches
* Define gb.jit files
[ Gianfranco Costamagna ]
* Team Upload
* bump copyright years
2018-11-27 - Gianfranco Costamagna <locutusofborg@debian.org>
gambas3 (3.11.4-6) unstable; urgency=medium
[ Gianfranco Costamagna ]
* Team upload
[ Jeremy Bicha ]
* Cherry-pick Make-gb.pdf-compile-with-poppler-0.71.patch
- upstream fix for new poppler
2018-10-30 - Gianfranco Costamagna <locutusofborg@debian.org>
gambas3 (3.11.4-5) unstable; urgency=medium
[ Gianfranco Costamagna ]
* Team upload
[ Bastian Germann ]
* Take dh compiler flags into account
* Add missing install files
* Correct two copyright paths
* Make the gambas3-gb-gui-* components transitional
* Provide man pages for *.gambas programs
* Update the man pages according to --help
2018-10-25 - Bastian Germann <bastiangermann@fishpost.de>
gambas3 (3.11.4-4) unstable; urgency=medium
* Use upstream desktop file and icon
* Use dh_auto_configure
* Do not use deprecated --list-missing on dh_install
* Enable parallel build
* Do not use multi-arch libdir
* Only package installed files
* Install gbs3.gambas in /usr/bin
* Remove the now-upstream shared-mime-info
* Remove unnecessary .links and .dirs
* Add copyright information
2018-10-15 - Bastian Germann <bastiangermann@fishpost.de>
gambas3 (3.11.4-3) unstable; urgency=medium
[ Bastian Germann ]
* Fix MIPS build
* Update standards version
* Add missing gambas3-gb-qt5-opengl to gambas3 meta package
* Remove the deprecated components from gambas3 meta package
* Make gambas3-dev independent from gambas3-runtime
[ Gianfranco Costamagna ]
* Team upload

See Also

Package Description
gambas3-gb-openssl_3.12.2-1ubuntu1_amd64.deb Gambas OpenSSL component
gambas3-gb-option_3.12.2-1ubuntu1_amd64.deb Gambas option component
gambas3-gb-pcre_3.12.2-1ubuntu1_amd64.deb Gambas regexp component
gambas3-gb-pdf_3.12.2-1ubuntu1_amd64.deb Gambas pdf component
gambas3-gb-qt5-ext_3.12.2-1ubuntu1_amd64.deb Gambas extended Qt GUI component
gambas3-gb-qt5-opengl_3.12.2-1ubuntu1_amd64.deb Gambas OpenGL component with QT5 toolkit
gambas3-gb-qt5-webkit_3.12.2-1ubuntu1_amd64.deb Gambas WebKit component
gambas3-gb-qt5_3.12.2-1ubuntu1_amd64.deb Gambas Qt5 GUI component
gambas3-gb-report2_3.12.2-1ubuntu1_all.deb Gambas report2 component
gambas3-gb-report_3.12.2-1ubuntu1_all.deb Gambas report component
gambas3-gb-scanner_3.12.2-1ubuntu1_amd64.deb Gambas scanner component
gambas3-gb-sdl-sound_3.12.2-1ubuntu1_amd64.deb Gambas SDL sound component
gambas3-gb-sdl2-audio_3.12.2-1ubuntu1_amd64.deb Gambas SDL2 audio component
gambas3-gb-sdl2_3.12.2-1ubuntu1_amd64.deb Gambas SDL2 component
gambas3-gb-sdl_3.12.2-1ubuntu1_amd64.deb Gambas SDL component
Advertisement
Advertisement